---

title: Commercial SA Engagement Model
---


## Commercial Solutions Architecture Engagement Model

The Commercial SA Engagement Model ([SA Circles](#sa-circles)) intends to foster collaboration amongst 3-6 Solutions Architects and 20-25 Account Executives.

The SA team's engagement is [segmented by the AE role](#segment-specific-engagement-models), so that the SA engagement model is aligned with the AE team structures.

Solutions architects are responsible for owning their engagement on opportunities. The "engagement model" is a general recommendation, not a rule, and will be left to the discretion of the solutions architect.

### SA Engagement Considerations

- Solutions Architects (SAs) help prospects and new customers that are wanting to buy and consume more of GitLab's offerings.  Customer Success Managers and Customer Success Engineers guide a customer's adoption of what the customer has already purchased. Professional Services works with a customer to implement what the customer has already purchased.
- All requests for SAs are submitted using the SA Request button on the Salesforce Opportunity.
- Salesforce opportunities should have [MEDDPPICC](/handbook/sales/meddppicc/) (and [required 7 methods applied](/handbook/sales/commercial/#required-7)).
- Compelling events are to be clearly defined in the Command Plan on an opportunity with a positive Net ARR (or negative Net ARR when the account needs deep technical knowledge or needs to be resold).
- When SAs engage, their notes and activities are logged across Salesforce (review the [SA Activity Capture page](/handbook/solutions-architects/processes/activity-capture/)) and the [Customers & Prospects](https://drive.google.com/drive/folders/0B-ytP5bMib9Ta25aSi13Q25GY1U?resourcekey=0-MBirIe2vWyQXYi8cJEkH2Q&usp=sharing) Google Drive directory.

### SA Request Triage Process

Solutions Architects operate within Circles (small teams of SAs).  Each Circle is responsible for managing their triaging process.  When scheduling conflicts arise, SA Circles may distribute opportunity workload to other Circles.  When taking PTO, or out on a sick day, an SA's Circle is their first stop for backup.

- Goals of Circle Triage:
   - Create a mechanism to pragmatically assign opportunities to members of our SA team who are available and ready - in time and skill set.
   - Enable SAs with a process that allows the majority of their time to be focused on current deals and projects that contribute to the greater Customer Success org - not Salesforce report refreshes.

#### SA Circle Triage Guidelines

###### #1: No Circle Team Member Self-assigns an Opportunity

_Self-assignment does not happen without first discussing the opportunity and the “4 Questions” in the Circle-slack channel_

  - **This is the #1 immutable rule.**  All others build off of it.  We must Collaborate, prioritizing The Circle and The Process over “just this once”.
    - We will have a Fast-track prioritization route for those demos that were scheduled with less than 24 hours.   We will still collaborate in Slack circle-region channels when this situation occurs.

###### #2: Triage within One Business Day

*It doesn’t need to be within an hour.  You can eat lunch first*

- Totally Acceptable Circle Behavior:  A new opportunity is created and sits for 3 hours because the Circle is busy with demos and life.
- Totally Acceptable Circle Behavior: A new opportunity is created, and someone in the Circle-slack channel says “hey there is a new opp and I would like to discuss” and that Circle follow-up discussion doesn’t come for 2, or even 4 hours, because the rest of the Circle is busy with other things.  This is still okay.  The wait period is not a diss to anyone, the Circle will get to it when they can, in natural pauses of the day.
- One Full Business Day Defined:  If it comes in at 4pm, the Circle has 4pm the next day to Triage.

###### #3: Better Triage Happens with a Second Review

*If possible, two team members review a Command Plan before assignment*

- Some days, this may not be possible.  If 1/2 the team is on PTO and the other 1/2 is slammed, then perhaps in the Slack circle-region channel we might to eachother, after a request for a Circle review, “don’t have time for 2eyes, if you have the capacity and feel fully comfortable with the 4 questions being fulfilled, then assign it to yourself”.  The key is, to get here, as a Circle, we communicated on Triage.
  - The Circle’s Reporting Managers are considered a very valued 2nd person to review, when directly requested.

##### The 4 Questions

There are often 'what-if' scenarios when an SA evaluates an incoming lead.   These 4 questions give us the start to our async Slack conversations.  _Should this meeting move forward if I don't know 'X'?_  is exacty when the members of The Circle will able to add context, and conversation to the Triage Collaboration.

- **#1: Is the Command Plan Properly completed?  Read through the Plan.  Identify if anything is missing.**
   - Goal: Make it acceptable for the AE and the Command Plan not to be perfect. Make it thusly acceptable for the SA Circle to ask clarifying questions and request more information before the opportunity is assigned, and before the next proposed meeting can take place.
      - Command Plan clarification questions are a great opportunity for our experienced SA org to lead and guide those folks who are in the sales org who are newer to GitLab and/or DevOps.  Having the proper time for a feedback loop serves everyone involved in the lead.   If we don't tells our AEs what more we need, how else will they understand what to ask in the future?
- **#2:  Based on the Command Plan, does the SA have a good understanding of the following:**
  - Current DevOps stack? (SCM, Plan, CI/CD, Cloud Vendor(s), Deployment technologies)
  - What are the evaluated competitive technologies? (ex: GitHub, ADO, Atlassian)
  - Who will be attending the meeting?  Names and titles need to be identified (LinkedIn, here we come).
  - What are the specific use-cases they are looking for GitLab to address?
  - Why Now?
- **#3: Does the SA have the lead time to prepare; is the meeting is not scheduled within 12-24 hours of the request**
  - Goal: AEs to hold off on scheduling the next customer meetings until the SA Circle has enough time to evaluate if all correct information has been collected in Questions 1 & 2.
    - SAs deserve time to clarify on Command Plans with the AEs and prepare demonstration environments.  GitLab is a large, and ever changing platform - the product is forever being delivered (every month). The SA team requests proper time to prepare so they can deliver the best results.
    - Sometimes, a lot of runaway is not possible.  We will still have a ‘Fast Track’ process that allows the AE to both mark the request record in Salesforce (for future metrics) and notify the Circle in the Slack circle-region-aeasm channel (because the SAs will be doing other work than always watching incoming opportunities.  See Point #2 in Triage Guidelines!)
- **#4: Does the SA have relatable experience on this type of account.**
  - 'Yes' could be the "preferred" answer depending on the account and timeline.
  - But 'No' is also a 'Yes'. Solution Architects belong to a learning-focused organization. Less experienced SAs are going to continue to take on accounts where they do not know everything, and will hopefully do even better with their small accessible Circle to constantly collaborate with.
  - An additional benefit of the Circle structure is we now have a dedicated small-group who are there for a main-assist.

### Segment-Specific Engagement Models

[See which region an AE is located within](https://gitlab.my.salesforce.com/00O8X000008RUf1) or
leverage the Account Sales Territory in the Circle Slack Channel to determine an Account Executive's segment.

#### SA Engagement for Mid-Market

1. **Mid-Market First Order (FO)**: Early-stage `2-Scoping` through `4-Proposal` for opportunities where a Command Plan and Custom Pitch Deck are being leveraged where an SA is necessary. The goal is to complete the `3-Technical Evaluation` prior to 15 days of the Close Date.
1. **Mid-Market Named (Key)**: Opportunities (regardless of stage) where an SA is necessary through the course of the opportunity. The goal is to complete the `3-Technical Evaluation` prior to 30 days of the Close Date.
1. **Mid-Market Territory (Terr)**: `3-Technical Evaluation` for opportunities where a Command Plan and Custom Pitch Deck are being leveraged and where an SA is necessary. The goal is to complete the `3-Technical Evaluation` prior to 30 days of the Close Date.

#### SA Engagement for SMB

1. **SMB First Order (FO)**: Late-stage `2-Scoping` and `3-Technical Evaluation` for opportunities where a Command Plan and Custom Pitch Deck are being leveraged where an SA is necessary. The goal is to complete the `3-Technical Evaluation` prior to 15 days of the Close Date.
1. **SMB Named (Key)**: Late-stage `2-Scoping` and `3-Technical Evaluation` for opportunities where a Command Plan and Custom Pitch Deck are being leveraged where an SA is necessary.  The goal is to complete the `3-Technical Evaluation` within 15 days of the Close Date.
1. **SMB First Year Expand (Exp)**: AEs should rely on the CSM and CSEs as much as possible for First Year Expand opportunities given that the focus of a customer's first year is to adopt as much of what they have purchased as possible.  If a customer has demonstrable adoption of GitLab and is looking for more of GitLab's offering to use, then AEs ought to have the opportunity reviewed by their ASM prior to getting an SA engaged.
1. **SMB Pooled (Pool)**: Requests ought to be brought forth by the AE and approved by the ASM and SA Manager to ensure that the need for an SA is justified.

### Expectations when working with an SA

#### Meeting Expectations

- All meetings should be planned with clear desired outcomes available to the SA
    - Why does the prospect want to meet with us?
    - What are our meeting objectives/goals?
    - Agenda and list of attendees should be provided in advance;<u>failure to provide this information could delay in the scheduling or declination of a meeting request.</u>
- SA activities include:
  - Discovery calls allow for pain to be identified and can be effective way to help build an awareness of the consequences of that pain both for the customer and the GitLab account team.
  - Demonstrations align value to capabilities within the product, aiming to speak to the needs of the customer.
  - Technical Deep Dives are used to show off a very specific function or capability within GitLab's product.
  - Reverse AMAs where the SAs evaluate the customer environment and provide recommendations on ways to more effectively use GitLab.

#### Async Slack support

In some cases SA support might be required in early stage or not fully qualified opportunities. Slack can be used for answering narrowlly-scoped technical questions, providing additional customer outreach materials or helping an Account Executive with a narrowly-scoped customer inquiry. These requests can be served asynchronously via Slack:
 - AMER: `#cs-commercial-amer-support`
 - EMEA: `#cs-commercial-emea-support`

These Slack channels are considered to be a safe harbor for all Commercial AE <-> SA communication. When asking questions, please ensure you always provide as much context as possible; including the SFDC URL, and type of subscription (SaaS or Self-Managed). Solutions Architecture will monitor and provide best effort support on these requests.
Avoid using these Slack channels for cases that require technical discovery and solutioning. These have to be handled via standard SA Request process.

#### Post-Sales Engagement

As an opportunity enters into either the [Negotiating or Awaiting Signature](/handbook/sales/field-operations/gtm-resources/#opportunity-stages) stage, the Solutions Architect and Account Executive ought to begin introducing the customer to a Customer Success Manager following the [Commercial CSM Transition Process](/handbook/customer-success/pre-sales-post-sales-transition/#commercial-csm-transition-process).

Solutions Architects ought to be primarily engaged with accounts that have active opportunities in Salesforce.  When we work with customers, it's easy to build a trusted advisor relationship with them that persists past the end of the sale.  In these cases, SAs must use their judgment in determining when to redirect a customer to the proper support channel for follow-up questions.

Below are a few example responses an SA can provide customers that reach out for help after a deal closes. Please leverage your personal connection to them and their company to customize these as you see fit.

#### On-site Engagement

Solutions Architects are highly versatile and can be leveraged for on-site engagements that require direct access to valuable stakeholders. This approach allows for Solutions Architects to engage with key decision-makers in real-time, gather critical insights, and provide tailored recommendations based on their expertise.

On-site requests should primarily be driven by the desire of the customer. No on-site will be perfectly executed. As a team, learning how to best leverage through iteration on-sites is a critical capability for us to build.

- Giving a demo to a large crowd with various personas that otherwise would not have been engaged virtually.
- Running a workshop where the given customer has requested this to be done in person.
- Meeting with executives in a room to help discuss their initiatives and cast a vision for GitLab within their organization.
- Conducting a [Day In The Life of A Developer](/handbook/solutions-architects/sa-practices/day-in-the-life/) assessment

##### Pre-Requisites for On-site Engagements

Any customer on-site must have the following:

- A customer requesting or accepting proposal for the on-site with an agreed-upon agenda
- A predefined initiative with the budget that aligns with a problem GitLab can solve within a price range that GitLab can be purchased. This budget can either come from net new spend or from reclaiming spend where the existing budget and renewal dates are known.

##### Budget Approval Process for On-site Engagements

[Submit a Request for Approval](https://gitlab.com/gitlab-com/customer-success/solutions-architecture/commercial/on-site-requests/-/issues/new?issue[title]=_Customer_Name_)

Prior to conducting any on-site engagement, approval from the Solutions Architect (SA) Manager and Area Sales Manager (ASM) is required. The intent of this approval process is primarily to catch any budget concerns, provide guidance on building proper justification for the engagement, and create visibility across the team to help build consistency. As the team gains experience with on-site engagements, this may move towards a `don't ask, do tell` approach. Regardless, SAs are to be trusted to do the right thing when it comes to determining the need for onsites.

To facilitate the review process, the following information should be provided by submitting an issue:

- Customer SFDC Opportunity Link: *The link to the customer opportunity being pursued with updated `Help` inside of `Command Plan` listing out Technical Details of what is needed for an on-site.*
- Estimated Cost: *The amount expected for travel and lodging (not including meals) for on-site engagement.*
- GitLab Team On-Site Attendees: *The team members required to attend the on-site engagement. If a Customer Success Manager is aligned to the account, please make sure there is collaboration.*
- Summary of Customer Engagement To Date: *An overview of the ongoing activities with the customer.*
- Customer Stakeholders/Teams: *A list of key stakeholders who will be present during the engagement, along with any outstanding or pending activities on-site.*
- On-Site Proposed Date(s): *The proposed timeline and agenda for the on-site engagement.*
- On-Site Agenda: *The proposed agenda for the on-site on each given day*
- Outstanding Activities Prior to Scheduling: *What needs to be completed prior to the event*

This review process aims to help ensure on-site engagements have the highest level of professionalism and that they deliver the intended value to the customer.

##### Accounts without a Customer Success Manager

> Thanks for reaching out!
>
> In order to best direct your question and provide you a timely response, can you submit a support ticket with our support team? Additionally, I have copied your Account Executive as they can help escalate your request if necessary. Below are some links to get started with GitLab support.
>
> I thoroughly enjoyed getting a chance to work with you and role is primarily focused on our customers that are involved in pre-sales engagements; and being a person of one, I don't want to be a bottleneck to you getting a response.
>
> You can go to [support.gitlab.com](https://support.gitlab.com/hc/en-us/requests/new) and submit a new request. Please use your company email address and an account and password will be created for you. There are more details regarding [reaching out to support](https://about.gitlab.com/support/#first-time-reaching-suppor).

##### Accounts with a Customer Success Manager

> Thanks for reaching out!
>
> In order to best direct your question and provide you a timely response, can you submit a support ticket with our support team? Additionally, I have copied your Customer Success Manager and Account Executive, as well, as they can help escalate your request if necessary. Below are some links to get started with GitLab support.
>
> I thoroughly enjoyed getting a chance to work with you and role is primarily focused on our customers that are involved in pre-sales engagements; and being a person of one, I don't want to be a bottleneck to you getting a response.
>
> You can go to [support.gitlab.com](https://support.gitlab.com/hc/en-us/requests/new) and submit a new request. Please use your company email address and an account and password will be created for you. There are more details regarding [reaching out to support](https://about.gitlab.com/support/#first-time-reaching-suppor).

**Below are some additional items you can share with the customer.**

- Search GitLab documentation and issues with these pro [tips](/handbook/tools-and-tips/searching/)!
- If you do not find a proposed feature in the [GitLab issues list](https://gitlab.com/gitlab-org/gitlab/-/issues), please [contribute an idea](https://gitlab.com/gitlab-org/gitlab/-/issues/new?issuable_template=Feature%20proposal%20-%20detailed&issue[title]=Docs%20feedback%20-%20feature%20proposal:%20Write%20your%20title) to our product team to improve the community's experience!
- [GitLab Documentation](https://docs.gitlab.com/) covering How-Tos for Installation and Day-to-Day usage.
- GitLab is fortunate enough to have a strong community of contributors where you can search for ideas and issues within the GitLab [Forum](https://forum.gitlab.com/) or moderated [subreddit](https://www.reddit.com/r/gitlab/).
- With transparency being a value of ours, we strive to push content daily to both the [GitLab Youtube](https://www.youtube.com/channel/UCnMGQ8QHMAnVIsI3xJrihhg) and [GitLab Unfiltered Channel](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A). You will find How-Tos and Daily Engineering conversations in these channels.
- If you need engineering assistance, please [create a support ticket](https://support.gitlab.com/hc/en-us). Your team has ["Standard Support"](https://about.gitlab.com/support/#standard-support) which means "Next Day" or 24-hour support Monday thru Friday.

#### Solutions Architect Judgment Indicator

The Solutions Architect Judgment Indicator (SA Judgment) is a metric used to assess the technical perception and feedback regarding current opportunities. It aids in making informed decisions and effectively managing sales pipelines. This indicator enhances the precision of forecasting by providing a means to validate AE judgment based on the technical seller's assumptions. It also facilitates discussions during deal reviews and pipeline analysis by highlighting potential misalignments more easily.

The key aspects to take into consideration:

1. Technical statement
   1. Customer knowledge: current state well documented (internal)
   1. Clear use cases. Identified pains.
   1. Product-match. Identified capabilities to close the gap.
1. Customer implication (_customer provides the right resources to scope the project, treats the project with the right priority_)
   1. Access to development, information security and operations. Technical/lead developer involved with the right skills
   1. Connection to the technical validator/buyer
   1. Established communication channel and responsiveness

The overall score will be tracked in the existing `SA Validated Tech Eval Close Details` in SFDC with the following structure: `[COLOR] + One line qualitative comment` with `[COLOR]` equals to:

- `[RED]`: Indicates high risk or significant issues present in the opportunity's presales forecast. These issues might include technical challenges, unclear requirements, or insufficient resources allocated.
- `[YELLOW]`: Suggests moderate risk or some concerns in the opportunity's presales forecast. This could include minor technical hurdles, scope creep, or potential resource constraints.
- `[GREEN]`: Signifies low risk or favorable conditions in the opportunity's presales forecast. This indicates that the technical aspects are well-understood, resources are adequate, and the forecast is on track.

> Example: _[RED] No access to technical buyers, no clear use case_.

Solutions Architects are required to fill out in their judgment on all opportunities meeting these criteria:

- EMEA COMM Business Unit
- Net ARR >$50K
- Stage: 3+ (potentially 2+)

#### Other Considerations

##### Team meetings

- Team meetings are held on Mondays (Americas) at 10:30am PST for 25 minutes.
- Try to be respectful of our scheduled 1:1's meetings, though they can be more easily rescheduled in favor of customer engagement.

##### Meeting Follow up/Research

- Solutions Architects need time to provide follow up with information in as near real-time as possible. We aim to minimize scheduling “back-to-back” meetings as this can compromise our ability to provide our best possible response for the customers/prospects we're supporting.
- [Mid-Market Case Studies](https://gitlab.com/gitlab-com/marketing/strategic-marketing/customer-reference-content/case-study-content/-/boards/1804878?scope=all&utf8=%E2%9C%93&label_name%5B%5D=Mid-Market) | [SMB Case Studies](https://gitlab.com/gitlab-com/marketing/strategic-marketing/customer-reference-content/case-study-content/-/boards/1804878?scope=all&utf8=%E2%9C%93&label_name%5B%5D=SMB)
- [Whitepapers, Analyst Reports, etc...](https://docs.google.com/spreadsheets/d/1NK_0Lr0gA0kstkzHwtWx8m4n-UwOWWpK3Dbn4SjLu8I/edit#gid=0)

### Live Optimization Sessions

Live Optimization sessions are one-time post-sales activities session conducted 1-2 months after a closed deal by a Commercial Solutions Architect in order to support and 'fine tune' net new SMB customers' adoption of GitLab. Read more on the process in the [SMB Sales Handbook](/handbook/sales/commercial/smb/live-optimization/).

## SA Circles

The Commercial Solutions Architecture team leverages SA Circles for two primary reasons:

- Circles accelerate our learning, as pre-sales professionals, with increased exposure and understanding of deals as they are in an active pre-sales cycle. This acceleration helps us get more immediate feedback to change direction, or ideas to enhance the positioning that has already occurred.
- Circles normalize opportunity distribution. Ensure that some team members are not getting overloaded and burnt out, with the potential for other team members to sit with an empty queue, and perhaps under pressure to just 'grab anything that comes'

### Guiding Principles

The guiding principles of circles

#### **Diversity, Inclusion, Belonging** drives **Collaboration**

- No one member is 'in charge' of a circle, as they will still report to regional managers. SA Circles are meant to be working groups of peers.
- Circles reflect a diversity of seniority levels. The key benefit of a circle is receiving different points of views, and giving everyone opportunities for new learning experiences.
- Circles support a combination of SMB, MM and Strategic AEs

#### Focus is on **Efficiency** and Collective **Results**

- Strategically important opportunities that have been identified within an SA Circle ought to have increased awareness and focus from the more senior-level SAs. Segment-Specific Engagement Alignment will be a primary tool to indicate what is strategic but may deviate.
- Success of an SA Circle is viewed from a team success perspective, not individual SA success
- SA Circles have autonomy to manage their individual triage process, while being encouraged to share their learnings to the other SA Circles

#### Results-Focused and Collaboration fuels **Iteration** and **Transparency**

- Experimentation within a cirlce is encouraged!
- SA Circles will focus on being open about how work is triaged and performed.
- Iteration will help ensure that we find ways to be proactive in a function that can stagnate when it is only reactive

### SA Circle Experimentation

When a team decides to [run an experiment](https://gitlab.com/gitlab-com/customer-success/solutions-architecture-leaders/sa-initiatives/-/issues/new?issuable_template=Initiative&issue%5Btitle%5D=FY24-Q1%20-%20Circle%20Experiment%20-%20NAME_OF_EXPERIMENT%20-%20Commercial%20SA%20Initiative) for a given circle, it should be done in a way that is FAST:

That is to say, every experiment should have:

- **F**requent Discussions that help keep the experiment top of mind for the circle. Discussions should happen as much as possible within its respective issue.
- **A**mbitious Scope with all-circle buy-in. Every team member within the circle should commit to putting serious effort into measuring an experiment's success.
- **S**pecific Milestones that timebox the experiment and help keep it on track. Experiments should not be tested within a single quarter.
- **T**ransparency across all circles so that others can watch the experiment in action. This can be done in the form of an issue.

## SA Initiatives

### 5-Minute Demo Framework

The 5-Minute Demo Framework is a method to quickly produce technical content that is easy to consume for the customer. The intent of the framework is to rapidly develop tutorials while also generating value-packed content for the customer to consume. This content can range from videos, blog posts, or tutorials. As a result of building and sharing out bit-sized videos, the Commercial SA team can scale out our reach to a broader technical audience. Moreover, as the content compounds, the Account Executive teams will have a bank of content to share asynchronously to customers used to deliver value to customers efficiently.

#### Topics Delivered Upon and Available to Customers

- How to provision dynamic review environments using merge requests and Argo CD - [Blog Post](https://about.gitlab.com/blog/2022/08/02/how-to-provision-reviewops/)
- How to automate testing for a React application with GitLab - [Blog Post](https://about.gitlab.com/blog/2022/11/01/how-to-automate-testing-for-a-react-application-with-gitlab/)
- CI/CD Modernization with GitLab - [YouTube Link](https://www.youtube.com/watch?v=QGAaif8lY0A) or [Highspot Pitch Link](https://gitlab.highspot.com/items/6335dbcb985c4ea802afcf8d?lfrm=srp.0)
- Build, Test, and Deploy to Google Cloud with GitLab CI/CD - [YouTube Link](https://www.youtube.com/watch?v=wcrwEkVDEwg)
- DRY Development: A cheatsheet on reusability throughout GitLab - [Blog Post](https://about.gitlab.com/blog/2023/01/03/keeping-your-development-dry/)
- Simple Kubernetes management with GitLab - [Blog Post](https://about.gitlab.com/blog/2022/11/15/simple-kubernetes-management-with-gitlab/)
- GitLab GitOps Workflow - [Youtube Link](https://www.youtube.com/watch?v=dqPmAJX8Xng)

#### Topic Curation

- A [demo wishlist](https://drive.google.com/drive/u/0/search?q=title:%225%20Minute%20Demo%20Framework:%20Demo%20Wishlist%22%20type:document) (internal) has been made to help the team generate and prioritize one-off topics based off of field demand and interest.
- A [framework tutorial issue tracker](https://gitlab.com/guided-explorations/framework-tutorials) has been created to organize tech and language framework tutorials. These tutorials will align to specific GitLab stages with end-to-end guides.

##### Tips for searchability

- For videos, please add the video to GitLab Unfiltered YouTube channel under "Solutions Architecture" playlist. Additionally [link the video within Highspot](/handbook/sales/field-communications/gitlab-highspot/#gitlab-highspot-best-practices-for-content-owners) for the AE's to create email pitches.
- For blog posts, please refer to the [marketing handbook page](/handbook/marketing/blog/) on how to publish to the Blog. See [MR1](https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/113595) and [MR2](https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/108728) as an example.
- For repository examples, please store the repository within the [Guided Exploration group](https://gitlab.com/guided-explorations).

##### Practice and review

- If you produce a video and are requesting feedback, feel free to add it to the [Demo Jam](#commercial-demo-jam) agenda. An alternative is to record it and share it asynchronously in #cs_mm_sa slack channel for feedback.

### Commercial Demo Jam

With the continuous iteration and releases of GitLab, it's important to stay up to date on the newest capabilities while staying sharp on existing use-cases to best serve customers.
The Commercial Demo Jam serves as a safe forum for the Commercial SA team to practice demoing features, discuss potential customer objections, and articulate value through storytelling.

#### Structure

- Demo Jams are hosted every two weeks and the Wheel of Names is used to randomly select a team member.
- This is a 25 minute meeting with two presenters.
- Each presentation has ~5 minutes to present and ~5 minutes for feedback/discussion.
- List of all previous sessions (including links to recordings) can be found in [Commercial Demo Jam document](https://docs.google.com/document/d/1m-iZKHSnDOD1xfpbut1GkXJPnpHDFgxZCRm7HNtUf-E/edit)
- Recordings are published to the [Solutions Architecture playlist](https://www.youtube.com/playlist?list=PL05JrBw4t0Ko87g05LlHroe7eLPzCPJUY) on GitLab Unfiltered.

### Commercial SA Win/Lost Retro

Quarterly review of wins and losses to identify patterns and things we can do to keep winning, prevent losses, and improve GitLab as a product. Encourage everyone to try to add at least one thing.

#### Structure

- Win/Lost Retros are hosted the first week of each quarter
- This is a 50 minute meeting with the entire Commercial SA team
- Outcomes are documented and are stored in [Commercial SA / Reviews & Retros](https://drive.google.com/drive/folders/1Ye6Ks5aHMhVFEsDXbqvglzJMI4Kb_S5s)

#### Process

- Make a copy of [\[Template\] FYxx'Qx Commercial SA Win/Loss Retro](https://docs.google.com/document/d/13hcCRxbuNQhllce2nmoYfbBxiv5X4pzMp3ebmW_jod4/edit#heading=h.h61ejaw1pq0t)
- During the session:
  - 00:00 - 00:05 - Add the items to the table of the document
  - 00:05 - 00:20 - Review Wins
  - 00:20 - 00:35 - Review Losses
  - 00:35 - 00:50 - Review Action Items


### Commercial SA Peer Review

Commercial SA team holds [Peer Review sessions](/handbook/solutions-architects/sa-practices/deliberate-practice/#peer-reviews) every two weeks as a key activity in elevating the quality of pre-sales efforts, fostering collaboration, promoting continuous learning, and ultimately increasing the chances of successful client engagements.

#### Structure

- Peer Reviews are hosted every two weeks
- Duration: 25 minutes (assuming two presenters)
- Two opportunities are reviewed during the session (10 minutes each)
- Outcomes are documented and are stored in [Commercial SA / Reviews & Retros](https://drive.google.com/drive/folders/1Ye6Ks5aHMhVFEsDXbqvglzJMI4Kb_S5s)


## Paid Time Off

Commercial SA team members are strongly encouraged to take time off as part of [GitLab's paid time off policy](/handbook/paid-time-off/). Taking off can be intimidating as we may support multiple customers at any given time.
To best support our customers, consider the following:
1. Communicate your time off within your circle in case of coverage.
2. Create a [PTO coverage issue](https://gitlab.com/gitlab-com/customer-success/solutions-architecture/commercial/announcements/-/issues/new?issuable_template=PTO) A PTO coverage issue may not always be required but here are a couple guiding examples on when to create one:
   - Customers are running an active trial and may need technical guidance.
   - Leaving for more than 2 weeks and need to distribute the workload across the team.

## Team Links

- [Commercial Solutions Architect Triage Board](https://gitlab.com/gitlab-com/customer-success/sa-triage-boards/commercial-triage/-/boards/3487724) - Used to track Solutions Architect requests for SMB and Mid-Market companies.
- [Solutions Architect GitLab Group](https://gitlab.com/gitlab-com/customer-success/solutions-architecture) - Used to share things across Solutions Architects such as links to demos, snippets, training, etc.
- [Customer Success Tools](https://gitlab.com/gitlab-com/cs-tools/gitlab-cs-tools) - Used to store customer success automation and migration tools.
- [SA Leadership Initiatives](https://gitlab.com/gitlab-com/customer-success/solutions-architecture-leaders/sa-initiatives/)- Used as the single location for all initiatives that are being worked on across the Solutions Architecture Organization.
- [FIRE Collaborations](https://gitlab.com/gitlab-com/alliances/gitlab-alliances-team/firecollaborations) - Used to track collaborations.
- [Guided Explorations on GitLab](https://gitlab.com/guided-explorations) - Used to create and store example production projects with customers.
- [Customer & Prospects Drive](https://drive.google.com/drive/folders/0B-ytP5bMib9Ta25aSi13Q25GY1U?resourcekey=0-MBirIe2vWyQXYi8cJEkH2Q) - Used to store all customer files such as notes, etc.
- [YouTube Playlist](https://www.youtube.com/playlist?list=PL05JrBw4t0Ko87g05LlHroe7eLPzCPJUY) - Used to store saved videos by the SA team.
